Bug 977828 - db-control: start is not synchronous
db-control: start is not synchronous
Status: CLOSED CANTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2013-06-25 08:39 EDT by Matej Kollar
Modified: 2016-03-31 10:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 10:33:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Kollar 2013-06-25 08:39:06 EDT
Description of problem:

  Running "db-control start" seems like not synchronous.
  Querying state with "db-control status" can indicate that database
  is down if run immediately after start.

Version-Release number of selected component:

  spacewalk-dobby-1.9.22-15

How reproducible:

  not easy

Steps to Reproduce:

  0. prepare database that is used "a little".
  1. db-control stop
  2. db-control start
  3. db-control status

Actual results:
  # db-control status
  The database is offline.

Expected results:
  # db-control status
  The database is running and accepting connections.
Comment 4 Tomas Lestach 2013-08-14 08:15:05 EDT
A similar issue was addressed within Bug 972626.
Comment 6 Tomas Lestach 2016-03-31 10:33:52 EDT
Based on Comment 3 this is not a Satellite 5 issue, rather a postgresql service issue. Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.